import type { StorybookConfig } from '@storybook/react-vite';
const { mergeConfig } = require('vite');
const { default: tsconfigPaths } = require('vite-tsconfig-paths');

const config: StorybookConfig = {
  stories: [
    // "../src/**/*.mdx",
    // "../src/**/*.stories.@(js|jsx|ts|tsx)",
    // "../node_modules/@graphpolaris/**/*.stories.@(js|jsx|ts|tsx)"
    '../node_modules/@graphpolaris/shared/lib/**/*.stories.@(js|jsx|ts|tsx)',
    '../node_modules/web/src/**/*.stories.@(js|jsx|ts|tsx)',
    // "../../../apps/web/src/**/*.stories.@(js|jsx|ts|tsx)",
  ],
  addons: [
    '@storybook/addon-links',
    '@storybook/addon-essentials',
    '@storybook/addon-interactions',
    {
      name: '@storybook/addon-styling',
      options: {
        // sass: {
        //   // Require your Sass preprocessor here
        //   implementation: require('sass'),
        // },
        // postCss: {
        //   implementation: require.resolve('postcss'),
        // },
      },
    },
    {
      name: '@storybook/preset-scss',
      options: {
        cssLoaderOptions: {
          modules: true,
        },
      },
    },
  ],
  framework: {
    name: '@storybook/react-vite',
    options: {},
  },
  docs: {
    autodocs: 'tag',
  },
  viteFinal(config, { configType }) {
    return mergeConfig(config, {
      plugins: [tsconfigPaths()],
    });
  },
};

// config.module.rules.push({
//   test: /\.scss$/,
//   use: ["style-loader", "css-loader", "sass-loader"],
//   include: path.resolve(__dirname, "../"), });

export default config;
